## piexif 1.0.13

=== requirements.txt ===
alabaster==0.7.10
Babel==2.5.0
certifi==2017.7.27.1
chardet==3.0.4
docutils==0.14
idna==2.6
imagesize==0.7.1
Jinja2==2.9.6
MarkupSafe==1.0
olefile==0.44
Pillow==4.2.1
Pygments==2.2.0
pytz==2017.2
requests==2.18.4
six==1.10.0
snowballstemmer==1.2.1
Sphinx==1.6.3
sphinxcontrib-websupport==1.0.1
typing==3.6.2
urllib3==1.22

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Piexif.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Piexif.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Piexif"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Piexif"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
piexif (1.0.13-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #937287 

 -- Sandro Tosi <morph@debian.org>  Thu, 12 Dec 2019 19:46:32 -0500

piexif (1.0.13-2) unstable; urgency=medium

  [ Marcelo Jorge Vieira ]
  * d/control: Fixed maintainer, added Debian Python Modules Team
  * d/copyright: Added OFL-1.1

  [ Ondřej Nový ]
  * d/watch: Use https protocol

 -- Marcelo Jorge Vieira <metal@debian.org>  Wed, 05 Dec 2018 22:59:02 -0200

piexif (1.0.13-1) unstable; urgency=low

  * Initial release (closes: #844441)

 -- Marcelo Jorge Vieira <metal@debian.org>  Sat, 16 Jun 2018 12:25:34 -0300

=== debian/control ===
Source: piexif
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Marcelo Jorge Vieira <metal@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 9),
               dh-python,
               python3-all,
               python3-pil (>= 4.2.1),
               python3-setuptools,
               python3-sphinx,
               python3-sphinxcontrib.websupport
Standards-Version: 4.1.4
Homepage: https://github.com/hMatoba/Piexif
Vcs-Git: https://salsa.debian.org/python-team/modules/piexif.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/piexif

Package: python3-piexif
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-pil (>= 4.2.1)
Description: Pure python library for manipulating exif
 Pure Python library for easy exif manipulations (read, write, remove).

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=piexif

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	rm -rf piexif.egg-info
	python3 setup.py clean -a
	find . -name \*.pyc -exec rm {} \;

=== debian/watch ===
# please also check https://pypi.debian.net/piexif/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/piexif/piexif-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## piexif 1.1.3

=== requirements.txt ===
Pillow==4.2.1
Sphinx==1.6.3
sphinxcontrib-websupport==1.0.1

=== debian/changelog ===
piexif (1.1.3-2) unstable; urgency=medium

  * Rebuild with no source changes.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 27 Nov 2021 14:40:55 +0100

piexif (1.1.3-1) unstable; urgency=medium

  [ Andrej Shadura ]
  * Reintroduce the package to Debian.
  * New upstream release.
  * Switch to DEP-14.
  * Update the watch file.
  * Update the upstream metadata.
  * Update the copyright file.
  * Refresh the packaging.
  * Add patches for upstream issues.
  * Use pytest to run tests.
  * Clean egg-info.
  * Use secure URI in debian/watch.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 19 Sep 2021 13:40:30 +0100

=== debian/control ===
Source: piexif
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Andrej Shadura <andrewsh@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-python3,
 python3-all,
 python3-setuptools,
 python3-pil (>= 4.2.1),
 python3-pytest,
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/hMatoba/Piexif
Vcs-Git: https://salsa.debian.org/python-team/packages/piexif.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/piexif

Package: python3-piexif
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-pil (>= 4.2.1),
Description: pure-Python EXIF manipulation library
 Piexif is an EXIF manipulation library in pure Python.
 .
 Piexif includes tools necessary for extracting, creating, manipulating,
 converting and writing EXIF data to JPEG, WebP and TIFF files.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=piexif

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4

opts="uversionmangle=s/(rc|a|b|c)/~$1/, compression=xz" \
https://pypi.debian.net/piexif/piexif-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
